Basic Messages
Endpoints for sending and retrieving basic messages
This endpoint retrieves all messages.
Authorizations
x-api-keystringRequired
Responses
200
A list of messages
application/json
basicMessagesobject[]Optional
401
Unauthorized.
500
Internal Server Error
application/json
get/api/v1/messages
GET /api/v1/messages HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"message_id": "f51902a4-b771-4c1c-8f28-05396c19d3d5",
"contact_id": "8dba10d6-00d5-4f3a-ac8f-834211c9cbb9",
"invitation_id": null,
"message": "Hello Proven",
"state": "new",
"sent_time": "2025-06-26T21:53:46.397Z",
"locale": "en",
"wallet_id": "6b4ae41c-9c8a-49fd-9efa-fa0436d40b5c",
"created_at": "2025-06-26T21:53:47.282Z",
"updated_at": "2025-06-26T21:53:47.282Z"
},
{
"id": 2,
"message_id": "",
"contact_id": "8dba10d6-00d5-4f3a-ac8f-834211c9cbb9",
"invitation_id": 1,
"message": "Hello User",
"state": "sent",
"sent_time": "2025-06-26T21:54:49.309Z",
"locale": "",
"wallet_id": "6b4ae41c-9c8a-49fd-9efa-fa0436d40b5c",
"created_at": "2025-06-26T21:54:49.311Z",
"updated_at": "2025-06-26T21:54:49.848Z"
}
]This endpoint allows you to send a basic message.
Authorizations
x-api-keystringRequired
Body
invitation_idintegerOptionalExample:
The ID of the invitation.
1contact_idstringOptional
The ID of the contact.
messagestringOptionalExample:
The message content.
your message hereResponses
200
Message sent successfully
application/json
successstringOptional
400
Bad request. Invalid parameters.
application/json
401
Unauthorized.
500
Internal Server Error
application/json
post/api/v1/messages
POST /api/v1/messages HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 65
{
"invitation_id": 1,
"contact_id": "",
"message": "your message here"
}{
"success": "Message was sent!"
}This endpoint retrieves a message by its ID.
Authorizations
x-api-keystringRequired
Path parameters
idstringRequired
The ID of the message to retrieve.
Responses
200
A message object
application/json
invitation_idintegerOptional
The ID of the invitation.
contact_idstringOptional
The ID of the contact.
messagestringOptional
The message content.
401
Unauthorized.
404
Message not found
application/json
500
Internal Server Error
application/json
get/api/v1/messages/{id}
GET /api/v1/messages/{id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
"id": 1,
"message_id": "f51902a4-b771-4c1c-8f28-05396c19d3d5",
"contact_id": "8dba10d6-00d5-4f3a-ac8f-834211c9cbb9",
"invitation_id": null,
"message": "Hello Proven",
"state": "new",
"sent_time": "2025-06-26T21:53:46.397Z",
"locale": "en",
"wallet_id": "6b4ae41c-9c8a-49fd-9efa-fa0436d40b5c",
"created_at": "2025-06-26T21:53:47.282Z",
"updated_at": "2025-06-26T21:53:47.282Z"
}Last updated
Was this helpful?